function [arm,kopf,Trafo,static,handl]=initRobot


  band=0; 
  OBJECTS=0;
  scale=40; %Scale the robots dimension
  scale=1;
  displacement=0;%1200;  
  
  
  kopf=struct('module',{},'frame',{},'cam',{});
  arm=struct('trunk',{},'shoulder',{},'elbow',{},'hand',{},'gripper',{},'adapter',{});
  static=struct('table',{},'stand',{},'object',{});
  Trafo=struct('kopf',{},'arm',{},'static',{});
  handl=struct('kopf',{},'arm',{},'static',{},'Trafo',{},'fig',{});



  %%lfs Bezeichnet die Reihenfolge in der die Vertexe aus der Vertexmatrix
  %zu den Seitenflaechen der Kuben zusammengesetzt werden
  lfs=[1 2 6 5;2 3 7 6;3 4 8 7;4 1 5 8;1 2 3 4;5 6 7 8];

  rack=1;						       %zusammengesetzt werden

  %%%%%%%%%%%%%%%% Constants
  rad2deg=180/pi;
  C90=Cube(90,90,90); 
  C70=Cube(70,70,70);
  %%%%%%%%%%%%%%%% Constants


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %   HT: steht fuer Transformation unter verwendung von
  %       homogenen Koordinaten
  %
  %   Kpf: steht fuer Kopf
  %
  %   Cube(laenge,breite,hoehe) ist eine Fuktion die die Vertexmatrix
  %   eines Quaders erzeugt
  %
  %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %
  % Festlegung der initialen Konfiguration
  %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %Kopf Init
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%

  orientierung=-90;%0
  pan=0;
  el=0;

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %%% Transformationen 

  
  
  
  
  Trafo(1).kopf(1).frame=HomoTrans(0,40+460,0,orientierung+pan);%Obere Kopfplatte
  Trafo(1).kopf(2).frame=Trafo(1).kopf(1).frame*HomoTrans(50,50,0,0);         %Kamerahaltung rechts
  Trafo(1).kopf(3).frame=Trafo(1).kopf(1).frame*HomoTrans(-50,50,0,0);        %kamerahaltung links

  %sich drehendes Modul in der Mitte (des Amtec Handgelenks)
  Trafo(1).kopf(1).module=HomoTrans(0,500+60+5,0,orientierung+pan)*HomoTrans(0,0,-el,0);

  %Die drei aeuseren Platten des Handgelenks(unten, rechts, links)
  Trafo(1).kopf(4).frame=Trafo(1).kopf(1).module*HomoTrans(0,60+5,0,0);      %untere Platte
  Trafo(1).kopf(5).frame=Trafo(1).kopf(1).module*HomoTrans(150,30,0,0);      %rechte Platte
  Trafo(1).kopf(6).frame=Trafo(1).kopf(1).module*HomoTrans(-150,30,0,0);     %linke Platte

  %Kameras
  Trafo(1).kopf(1).cam=Trafo(1).kopf(1).module*HomoTrans(150,40,90,0);      %Kamera links
  Trafo(1).kopf(2).cam=Trafo(1).kopf(1).module*HomoTrans(-150,40,90,0);     %Kamera rechts

  %%%%%%%%%Stativ
  Trafo(1).static(1).stand=HomoTrans(0,490,0,orientierung)*HomoTrans(0,50,90,0);
  Trafo(1).static(2).stand=HomoTrans(0,250,0,orientierung)*HomoTrans(0,100,90,0);  


  %%% Transformationen Ende 
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % 
  % Berechnung der Vertizes der Kuben
  %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  static(1).stand=Trafo(1).static(1).stand*Cube(10,90,200);
  static(2).stand=Trafo(1).static(2).stand*Cube(490,30,30);


  kopf(1).frame=Trafo(1).kopf(1).frame*Cube(70,110,5);
  kopf(2).frame=Trafo(1).kopf(2).frame*Cube(70,5,105);
  kopf(3).frame=Trafo(1).kopf(3).frame*Cube(70,5,105);

  kopf(1).module=Trafo(1).kopf(1).module*Cube(70,90,120);

  kopf(4).frame=Trafo(1).kopf(4).frame*Cube(70,370,10);
  kopf(5).frame=Trafo(1).kopf(5).frame*Cube(30,10,60);
  kopf(6).frame=Trafo(1).kopf(6).frame*Cube(30,10,60);

  kopf(1).cam=Trafo(1).kopf(1).cam*Cube(20,20,120);
  kopf(2).cam=Trafo(1).kopf(2).cam*Cube(20,20,120);


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % 
  % Dartstellung der Patches des Kopfes
  %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  
  


  for i=1:6
    if i<2
      handl(1).kopf(i).module=patch('faces',lfs,'vertices',[(kopf(i).module(1,:)'+displacement)/scale kopf(i).module(2,:)'/scale ...
	    kopf(i).module(3,:)'/scale],'FaceColor','y');    
    end;
    if i<3
      handl(1).kopf(i).cam=patch('faces',lfs,'vertices',[(kopf(i).cam(1,:)'+displacement)/scale kopf(i).cam(2,:)'/scale ...
	    kopf(i).cam(3,:)'/scale],'FaceColor','r');      
      
      handl(1).static(i).stand=patch('faces',lfs,'vertices',[(static(i).stand(1,:)'+displacement)/scale static(i).stand(2,:)'/scale ...
	    static(i).stand(3,:)'/scale],'FaceColor','black');    
    end;
    
    if i < 5
      handl(1).kopf(i).frame=patch('faces',lfs,'vertices',[(kopf(i).frame(1,:)'+displacement)/scale kopf(i).frame(2,:)'/scale ...
	    kopf(i).frame(3,:)'/scale],'FaceColor','b');  
    end;

    if i >4
      handl(1).kopf(i).frame=patch('faces',lfs,'vertices',[(kopf(i).frame(1,:)'+displacement)/scale kopf(i).frame(2,:)'/scale ...
	    kopf(i).frame(3,:)'/scale],'FaceColor','g');  
    end;   
  end;  

  %Kopf Init Ende
  %%%%%%%%%%%%%%%%%%%%%%%%%%%% 


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % 
  % Initialisierung des Armes
  %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  %%%%%%%%%%%%%%%%%%%%%%%%%%%% 
  %Setzen aller Winkel auf Null  
  th0=0;
  th1=0;
  th2=0;
  th3=0;
  th4=0;
  th5=90;
  th6=0;
  th7=0;
  grip=0;
  %Setzen aller Winkel auf Null  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%% 


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %
  %  Berechnung der Transformationen
  %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  spiel=0.001;             %Spiel zwischen den Modulen

  dd_1=20;                 %Abstand zwischen dem Schultermodul und dem
  %ersten Oberarmmod

  dd_2=30;                 %Abstand zwischen dem Ellbogenmodul und dem
  %ersten Unterarmmodul

  %%%%% Rumpf			   
  Trafo(1).static(1).base=HomoTrans(0,90-25,0,0-90);        % static(1).base
  Trafo(1).arm(1).trunk=HomoTrans(0,220-45,0,0-90);   % Cube1
  Trafo(1).arm(2).trunk=HomoTrans(0,310-45,0,th0-90); % Cube2
  %%%%% Rumpf			   


  %%%%% Schulter
  
  Trafo(1).arm(1).shoulder=HomoTrans(0,400,0,th0+180);
  Trafo(1).arm(2).shoulder=Trafo(1).arm(1).shoulder*HomoTrans(0,90+spiel,-90,th1);

  Trafo(1).arm(3).shoulder=Trafo(1).arm(2).shoulder*HomoTrans(0,90+45,0,0);  
  Trafo(1).arm(4).shoulder=Trafo(1).arm(3).shoulder*HomoTrans(0,-90-spiel,90,th2);  


  %%%%% Oberarm
  Trafo(1).arm(5).shoulder=Trafo(1).arm(4).shoulder*HomoTrans(0,90,0,0)*HomoTrans(0,90+dd_1,-90,0);   
  Trafo(1).arm(6).shoulder=Trafo(1).arm(5).shoulder*HomoTrans(0,90+spiel,0,th3);  
  %%%%% Oberarm

  
  %%%%% Schulter    
  
  %%%%% Ellbogen
  Trafo(1).arm(1).elbow=Trafo(1).arm(6).shoulder*HomoTrans(0,80+45,0,0);    
  Trafo(1).arm(2).elbow=Trafo(1).arm(1).elbow*HomoTrans(0,70+spiel,90,th4);
  %%%%% Ellbogen

  %%%%% Unterarm
  Trafo(1).arm(1).hand=Trafo(1).arm(2).elbow*HomoTrans(0,-70,0,0)*HomoTrans(0,70+dd_2,-90,0);   
  Trafo(1).arm(2).hand=Trafo(1).arm(1).hand*HomoTrans(0,70+spiel,0,th5);  
  %%%%% Unterarm

  %%%%% Handgelenk  
  ...
  Trafo(1).arm(3).hand=Trafo(1).arm(2).hand*HomoTrans(0,90+15+35+0,0,0)*HomoTrans(0,0.5,th6,0);    
  Trafo(1).arm(4).hand=Trafo(1).arm(3).hand*HomoTrans(0,90+17.5+30,0,th7); ...
      
      
      Trafo(1).arm(5).hand=Trafo(1).arm(2).hand*HomoTrans(0,40+35,0,0);
      Trafo(1).arm(6).hand=Trafo(1).arm(2).hand*HomoTrans(50,90+35,0,0);  
      Trafo(1).arm(7).hand=Trafo(1).arm(2).hand*HomoTrans(-50,90+35,0,0);    

      %%%%% Handgelenk  

      %%%%%%Gripper
      Trafo(1).arm(1).gripper=Trafo(1).arm(3).hand*HomoTrans(0,75,0,0);   

      Trafo(1).arm(2).gripper=Trafo(1).arm(4).hand*HomoTrans(40-grip/2,85,0,0);  
      Trafo(1).arm(3).gripper=Trafo(1).arm(4).hand*HomoTrans(-40+grip/2,85,0,0);
      %%%%%%Gripper   

      %%%%%%Verbindungsbeschlaege
      % Schulter Oberarm
      % Ellbogen Unteram
      Trafo(1).arm(5).adapter=Trafo(1).arm(4).shoulder*HomoTrans(0,40,0,0)*HomoTrans(0,90,-90,0);
      Trafo(1).arm(6).adapter=Trafo(1).arm(2).elbow*HomoTrans(0,-30,0,0)*HomoTrans(0,70,-90,0); 
      %%%%%%Verbindungsbeschlaege

      %%%%%%Zwischenstuecke
      Trafo(1).arm(1).adapter=Trafo(1).arm(2).trunk*HomoTrans(0,67.5,0,0-90);
      Trafo(1).arm(2).adapter=Trafo(1).arm(2).shoulder*HomoTrans(0,67.5,0,0);
      Trafo(1).arm(3).adapter=Trafo(1).arm(6).shoulder*HomoTrans(0,67.5,0,0);  
      Trafo(1).arm(4).adapter=Trafo(1).arm(2).hand*HomoTrans(0,53.0,0,0);  
      %%%%%%Zwischenstuecke  

      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      %
      %  Ende berechnung der Transformationen
      %
      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      %
      %  Berechnung der Vertexmatrizen
      %
      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



      %%%%% Rumpf			   
      static(1).base=Trafo(1).static(1).base*Cube(90,90,130);
      arm(1).trunk=Trafo(1).arm(1).trunk*C90;
      arm(2).trunk=Trafo(1).arm(2).trunk*C90; 
      %%%%% Rumpf			   

      %%%%% Schulter
      arm(1).shoulder=Trafo(1).arm(1).shoulder*C90;
      arm(2).shoulder=Trafo(1).arm(2).shoulder*C90;

      arm(3).shoulder=Trafo(1).arm(3).shoulder*C90;
      arm(4).shoulder=Trafo(1).arm(4).shoulder*C90;
      %%%%% Schulter

      %%%%% Oberarm
      arm(5).shoulder=Trafo(1).arm(5).shoulder*C90;
      arm(6).shoulder=Trafo(1).arm(6).shoulder*C90;
      %%%%% Oberarm

      %%%%% Ellbogen
      arm(1).elbow=Trafo(1).arm(1).elbow*C70;
      arm(2).elbow=Trafo(1).arm(2).elbow*C70;
      %%%%% Ellbogen

      %%%%% Unterarm
      arm(1).hand=Trafo(1).arm(1).hand*C70;
      arm(2).hand=Trafo(1).arm(2).hand*C70;
      %%%%% Unterarm

      %%%%%Handgelenk
      arm(3).hand=Trafo(1).arm(3).hand*Cube(70,90,120);    
      arm(4).hand=Trafo(1).arm(4).hand*Cube(70,105,95);
      
      arm(5).hand=Trafo(1).arm(5).hand*Cube(70,100,5);
      arm(6).hand=Trafo(1).arm(6).hand*Cube(70,5,105);
      arm(7).hand=Trafo(1).arm(7).hand*Cube(70,5,105);

      %%%%%%%%%Handgelk

      %%%%%%%%Gripper
      arm(1).gripper=Trafo(1).arm(1).gripper*Cube(20,20,30);

      arm(2).gripper=Trafo(1).arm(2).gripper*Cube(30,10,70);
      arm(3).gripper=Trafo(1).arm(3).gripper*Cube(30,10,70);
      %%%%%%%%Gripper


      %%%%%%Zwischenstuecke  
      arm(1).adapter=Trafo(1).arm(1).adapter*Cube(70,70,45);
      arm(2).adapter=Trafo(1).arm(2).adapter*Cube(70,70,45);
      arm(3).adapter=Trafo(1).arm(3).adapter*Cube(70,70,45);
      arm(4).adapter=Trafo(1).arm(4).adapter*Cube(70,70,35);
      %%%%%%Zwischenstuecke  

      %%%%%% Beschlaege
      arm(5).adapter=Trafo(1).arm(5).adapter*Cube(10,90,90);
      arm(6).adapter=Trafo(1).arm(6).adapter*Cube(10,70,70);
      %%%%%% Beschlaege

      static(1).table=HomoTrans(0,-5,-0,0)*HomoTrans(450,0,-0,90)*Cube(1100,900,10);

      static(1).band=HomoTrans(200,-800,-90,0)*HomoTrans(0,-200,90,0)*Cube(500,1500,30);%Montageband
      static(2).band=HomoTrans(200,-800,-90,0)*HomoTrans(0,-300,90,0)*Cube(400,1300,200);%Montageband
      
      static(1).rack=HomoTrans(450,-0,-90,0)*HomoTrans(0,-210,90,0)*Cube(700,900,400);%Montageband
      static(1).palette=HomoTrans(450,-700,-90,0)*HomoTrans(0,-90,90,0)*Cube(300,300,200);%Montageband      
      
      static(1).object=HomoTrans(450,-700,-90,0)*HomoTrans(0,40,90,0)*Cube(30,30,80);%Montageband
      
      static(2).object=HomoTrans(450,-150,-90,0)*HomoTrans(0,150,90,0)*Cube(100,400,300);%Hinderniss      
      
      static(3).object=HomoTrans(710,80,-90,0)*HomoTrans(0,140,90,0)*Cube(50,50,280);%Target            

      
      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      % Zeichnen der patches
      % des Armes




      for j=1:7      
	if j<2
	  handl(1).static(j).table=patch('faces',lfs,'vertices',[(static(j).table(1,:)'+displacement)/scale static(j).table(2,:)'/scale ...
		static(j).table(3,:)'/scale],'FaceColor','white');
	  
	  handl(1).static(j).base=patch('faces',lfs,'vertices',[(static(j).base(1,:)'+displacement)/scale static(j).base(2,:)'/scale ...
		static(j).base(3,:)'/scale],'FaceColor','black');  
	  
	  handl(1).static(j).rack=patch('faces',lfs,'vertices',[(static(j).rack(1,:)'+displacement)/scale static(j).rack(2,:)'/scale ...
		static(j).rack(3,:)'/scale],'FaceColor',[0.6 0.6 0.6]); ...

	      if band==1	      
	  handl(1).static(j).palette=patch('faces',lfs,'vertices',[(static(j).palette(1,:)'+displacement)/scale static(j).palette(2,:)'/scale ...
		static(j).palette(3,:)'/scale],'FaceColor',[0.4 0.4 0.4]); ...
	      
	  handl(1).static(j).object=patch('faces',lfs,'vertices',[(static(j).object(1,:)'+displacement)/scale static(j).object(2,:)'/scale ...
		static(j).object(3,:)'/scale],'FaceColor',[0.8 0 0]);  	  	      	      

	  handl(1).static(1).band=patch('faces',lfs,'vertices',[(static(1).band(1,:)'+displacement)/scale static(1).band(2,:)'/scale ...
		static(1).band(3,:)'/scale],'FaceColor','b');  	

	  
	  handl(1).static(2).band=patch('faces',lfs,'vertices',[(static(2).band(1,:)'+displacement)/scale static(2).band(2,:)'/scale ...
	      static(2).band(3,:)'/scale],'FaceColor','black'); ...
	    
	  end;	  	    
if OBJECTS==1	  
	  handl(1).static(2).object=patch('faces',lfs,'vertices',[(static(2).object(1,:)'+displacement)/scale static(2).object(2,:)'/scale ...
		static(2).object(3,:)'/scale],'FaceColor','black');  	 	  
	  
	  handl(1).static(3).object=patch('faces',lfs,'vertices',[(static(3).object(1,:)'+displacement)/scale static(3).object(2,:)'/scale ...
		static(3).object(3,:)'/scale],'FaceColor','r'); 	  
end;	  
	    
      end;
	
	if j<3
	  handl(1).arm(j).trunk=patch('faces',lfs,'vertices',[(arm(j).trunk(1,:)'+displacement)/scale arm(j).trunk(2,:)'/scale ...
		arm(j).trunk(3,:)'/scale],'FaceColor','b');  
	  
	  handl(1).arm(j).elbow=patch('faces',lfs,'vertices',[(arm(j).elbow(1,:)'+displacement)/scale arm(j).elbow(2,:)'/scale ...
		arm(j).elbow(3,:)'/scale],'FaceColor','y');        
	end;
	
	if j < 4
	  handl(1).arm(j).gripper=patch('faces',lfs,'vertices',[(arm(j).gripper(1,:)'+displacement)/scale arm(j).gripper(2,:)'/scale ...
		arm(j).gripper(3,:)'/scale],'FaceColor','black');  
	end;
	
	
	if j < 5
	  handl(1).arm(j).hand=patch('faces',lfs,'vertices',[(arm(j).hand(1,:)'+displacement)/scale arm(j).hand(2,:)'/scale ...
		arm(j).hand(3,:)'/scale],'FaceColor','y');  
	  
	  handl(1).arm(j).adapter=patch('faces',lfs,'vertices',[(arm(j).adapter(1,:)'+displacement)/scale arm(j).adapter(2,:)' /scale...
		arm(j).adapter(3,:)'/scale],'FaceColor','m');      
	end;
	
	if j >4
	  handl(1).arm(j).hand=patch('faces',lfs,'vertices',[(arm(j).hand(1,:)'+displacement)/scale arm(j).hand(2,:)'/scale ...
		arm(j).hand(3,:)'/scale],'FaceColor','b');
	  if j <7
	    handl(1).arm(j).adapter=patch('faces',lfs,'vertices',[(arm(j).adapter(1,:)'+displacement)/scale arm(j).adapter(2,:)'/scale ...
		  arm(j).adapter(3,:)'/scale],'FaceColor','r');  	    
	  end;
	end;    
	
	if j<7
	  handl(1).arm(j).shoulder=patch('faces',lfs,'vertices',[(arm(j).shoulder(1,:)'+displacement)/scale arm(j).shoulder(2,:)'/scale ...
		arm(j).shoulder(3,:)'/scale],'FaceColor','y');  
	end;      

      end;
	    


      % Zeichnen der patches
      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      % 
      % Initialisierung des Armes Ende
      %
      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



  %%%%%%%%%% Figure Init
 
  
%   
  %%%%%%%%%% Figure Init End

